de.vc.jfo.renderer

## Class XincRenderer

- java.lang.Object
- - de.vc.jfo.renderer.Renderer
  - - de.vc.jfo.renderer.XincRenderer

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable

      public class XincRenderer
      extends Renderer

  Renderer that use Xinc by Lunasil to transform XSL-FO documents. For more information about Xinc visit http://www.lunasil.com/
  Currently supported output formats: PDF.
  Note: Xinc uses modified libraries of Apache FOP. There might be problems if the "normal" FOP and Xinc are together in your classpath.
  See Also:
    `OutputFormat.PDF`

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.renderer.Renderer

      `DEFAULT_PRIORITY, XML_ATTR_CLASS, XML_ATTR_CONFIG_EDITOR, XML_ATTR_CONFIG_FILE, XML_ATTR_NAME, XML_ATTR_PRIORTIY, XML_ATTR_RESET_IMAGE_CACHE, XML_ATTR_USE_JFO_LOGGING, XML_NODE_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XincRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doRender(java.io.InputStream foStream, java.io.OutputStream outStream, OutputFormat outputFormat)` Do render a FO-stream (Stream is in XML, not in XSL).
    `java.lang.String` | `getDisplayName()` Gets the display name of renderer that can be shown in GUIs.
    `org.apache.commons.logging.Log` | `getLogger()`
    `OutputFormat[]` | `getSupportedOutputFormats()` Gets an array of all supported output formats.
    `boolean` | `isReady()` Returns true if class `com.lunasil.xf.XincFormatter` is in classpath.
    `void` | `setLogger(org.apache.commons.logging.Log logger)`

    - ### Methods inherited from class de.vc.jfo.renderer.Renderer

      `afterRendering, beforeRendering, canRender, compareTo, configure, copy, createPrinterJob, doRender, equals, getConfigFile, getPreferredRTF2FOCompatibilityMode, getPrinterJobFactory, getPriority, isUseJFOLogging, logUnsupportedFormat, reconfigure, render, render, render, render, resolveConfig, setConfigFile, setPrinterJobFactory, setPriority, setUseJFOLogging, supportsFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XincRenderer

          public XincRenderer()

  - ### Method Detail

    - #### getSupportedOutputFormats

          public OutputFormat[] getSupportedOutputFormats()

      Description copied from class: `Renderer`
      Gets an array of all supported output formats.
      Specified by:
        `getSupportedOutputFormats` in class `Renderer`
      Returns:
        Array of output formats (see OUTPUT_*).

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from class: `Renderer`
      Gets the display name of renderer that can be shown in GUIs.
      Specified by:
        `getDisplayName` in class `Renderer`
      Returns:
        Display name.

    - #### isReady

          public boolean isReady()

      Returns true if class `com.lunasil.xf.XincFormatter` is in classpath.
      Overrides:
        `isReady` in class `Renderer`
      Returns:
        boolean

    - #### setLogger

          public void setLogger(org.apache.commons.logging.Log logger)

    - #### getLogger

          public org.apache.commons.logging.Log getLogger()

    - #### doRender

          protected void doRender(java.io.InputStream foStream,
                      java.io.OutputStream outStream,
                      OutputFormat outputFormat)
                           throws java.lang.Exception

      Description copied from class: `Renderer`
      Do render a FO-stream (Stream is in XML, not in XSL). You don't have to close the output-stream.
      Specified by:
        `doRender` in class `Renderer`
      Parameters:
        `foStream` - FO-stream.
        `outStream` - Output stream, where rendered FO should be stored into.
        `outputFormat` - Outputformat (see OUTPUT_*).
      Throws:
        `java.lang.Exception` - Throw an exception in necessary.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.